Bug 1675869 - rabbitmq-java-client: FTBFS in Fedora rawhide/f30
Summary: rabbitmq-java-client: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitmq-java-client
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:46 UTC by Fedora Release Engineering
Modified: 2019-05-07 12:45 UTC (History)
2 users (show)

Fixed In Version: rabbitmq-java-client-3.6.5-7.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-07 12:43:02 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:47 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:47 UTC, Fedora Release Engineering
no flags Details
state.log (497 bytes, text/plain)
2019-02-11 21:47 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:46:59 UTC
rabbitmq-java-client failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32471231


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix rabbitmq-java-client at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rabbitmq-java-client will be orphaned. Before branching of Fedora 31,
rabbitmq-java-client will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:47:01 UTC
Created attachment 1532604 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:47:02 UTC
Created attachment 1532605 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:47:03 UTC
Created attachment 1532606 [details]
state.log

Comment 4 Raphael Groner 2019-02-13 19:33:51 UTC
DEBUG util.py:490:  BUILDSTDERR: Error: 
DEBUG util.py:490:  BUILDSTDERR:  Problem: package rabbitmq-server-3.6.16-3.fc29.noarch requires erlang-sd_notify, but none of the providers can be installed
DEBUG util.py:490:  BUILDSTDERR:   - conflicting requests
DEBUG util.py:490:  BUILDSTDERR:   - nothing provides erlang(erl_nif_version) = 2.13 needed by erlang-sd_notify-1.0-8.fc30.i686

Comment 5 Fedora Release Engineering 2019-04-26 23:32:07 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Raphael Groner 2019-05-07 12:43:02 UTC
Successfully rebuilt in rawhide.


Note You need to log in before you can comment on or make changes to this bug.